Skip to main content
`Ctrl`+`K`

# DMLabelGetStratumBounds

Get the largest and smallest point of a stratum

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetStratumBounds(DMLabel label, PetscInt value, PetscInt *start, PetscInt *end)

Not Collective

## Input Parameters

- label - the `DMLabel`

- value - the stratum value

## Output Parameters

- start - the smallest point in the stratum

- end - the largest point in the stratum

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages